diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index fa056f5..ecccec3 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -29876,7 +29876,7 @@ FunctionSpaceToExponentialExpansion(R,FE,x,cen):_
       -- and log
       smpElem(numer f) / smpElem(denom f)
 
-    smpElem p == map(k2Elem,#1::FE,p)$PCL
+    smpElem p == map(k2Elem,(x1:R):FE+->x1::FE,p)$PCL
 
     k2Elem k ==
     -- rewrites a kernel; all trig functions are
@@ -29916,9 +29916,9 @@ FunctionSpaceToExponentialExpansion(R,FE,x,cen):_
       (poly := retractIfCan(fcn)@Union(POL,"failed")) case POL =>
         [exprToUPS(fcn,false,"real:two sides").%series :: XXP]
       (sum := isPlus fcn) case L(FE) =>
-        listToXXP(sum :: L(FE),posCheck?,0,#1 + #2)
+        listToXXP(sum::L(FE),posCheck?,0,(y1:XXP,y2:XXP):XXP +-> y1+y2)
       (prod := isTimes fcn) case L(FE) =>
-        listToXXP(prod :: L(FE),posCheck?,1,#1 * #2)
+        listToXXP(prod :: L(FE),posCheck?,1,(y1:XXP,y2:XXP):XXP +-> y1*y2)
       (expt := isNonTrivPower fcn) case Record(val:FE,exponent:I) =>
         power := expt :: Record(val:FE,exponent:I)
         powerToXXP(power.val,power.exponent,posCheck?)
diff --git a/changelog b/changelog
index 93433be..99bbf0f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090601 tpd src/axiom-website/patches.html 20090601.02.tpd.patch
+20090601 tpd books/bookvol10.4 FS2EXPXP +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.01.tpd.patch
 20090601 tpd books/bookvol10.4 FSPRMELT +-> conversion
 20090530 tpd src/axiom-website/patches.html 20090530.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6bde05e..a5146e4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1405,5 +1405,7 @@ In process, not yet released<br/><br/>
   <hr>
 <a href="patches/20090601.01.tpd.patch">20090601.01.tpd.patch</a>
 bookvol10.4 FSPRMELT +-> conversion<br/>
+<a href="patches/20090601.02.tpd.patch">20090601.02.tpd.patch</a>
+bookvol10.4 FS2EXPXP +-> conversion<br/>
  </body>
 </html>
